
%define name	dvb-firmware-ttpci
# Please update the CHANGELOG file when version is updated 
%define version	2622
%define release	1
%define distsuffix plf

%define firmname dvb-ttpci-01.fw
%define filename %{firmname}-%{version}
%define firmdir /lib/firmware

%if %mdkversion <= 200600
%define firmdir /lib/hotplug/firmware
%endif

Summary:	Firmware for dvb-ttpci
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	Freeware
Group:		System/Kernel and hardware
Source0:	%{filename}.bz2
Source1:	dvb-ttpci-CHANGELOG
URL:		http://www.linuxtv.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Firmware for the Siemens/Technotrend/Hauppauge Premium/FF AV7110
based DVB cards featuring MPEG-2 decoder.

This package is in PLF because the firmware is non-free.

%prep
%setup -T -c
cp %SOURCE0 %SOURCE1 .
bunzip2 %{filename}.bz2
mv dvb-ttpci-CHANGELOG CHANGELOG

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{firmdir}
install -m 644 %{filename} %{buildroot}%{firmdir}
ln -s %{filename} %{buildroot}%{firmdir}/%{firmname}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CHANGELOG
%{firmdir}/%{firmname}
%{firmdir}/%{filename}

%changelog
* Thu Jan 12 2006 Anssi Hannula <anssi@zarb.org> 2622-1plf
- initial PLF release
